"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.doCommit = void 0;
const spawn_1 = __importDefault(require("@thatdevops/core/utils/spawn"));
const Logger_1 = __importDefault(require("@thats/utils/log/Logger"));
const doNothing_1 = __importDefault(require("@thats/utils/misc/doNothing"));
const luxon_1 = require("luxon");
function doCommit(commitMessage, deploy = false) {
    return __awaiter(this, void 0, void 0, function* () {
        const message = (commitMessage
            ? commitMessage
            : `Changes ${luxon_1.DateTime.now().toLocaleString(luxon_1.DateTime.DATETIME_FULL)}`) +
            (deploy ? '' : ' [skip-cd]');
        Logger_1.default.info(`Committing to git "${message}"`);
        yield (0, spawn_1.default)('git', ['add', '-A']).catch(doNothing_1.default);
        yield (0, spawn_1.default)('git', ['commit', '-a', '-m', message]).catch(doNothing_1.default);
    });
}
exports.doCommit = doCommit;
exports.default = doCommit;
//# sourceMappingURL=doCommit.js.map