import spawn from '@thatdevops/core/utils/spawn'
import Logger from '@thats/utils/log/Logger'
import doNothing from '@thats/utils/misc/doNothing'
import { DateTime } from 'luxon'

export async function doCommit(commitMessage?: string, deploy: boolean = false) {
	const message =
		(commitMessage
			? commitMessage
			: `Changes ${DateTime.now().toLocaleString(DateTime.DATETIME_FULL)}`) +
		(deploy ? '' : ' [skip-cd]')

	Logger.info(`Committing to git "${message}"`)
	await spawn('git', ['add', '-A']).catch(doNothing)
	await spawn('git', ['commit', '-a', '-m', message]).catch(doNothing)
}
export default doCommit
