"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.doUpdateDependencies = void 0;
const writePkg_1 = __importDefault(require("@thatdevops/core/pkgman/writePkg"));
function doUpdateDependencies(pkgs, newVersions) {
    return __awaiter(this, void 0, void 0, function* () {
        for (const pkg of pkgs) {
            for (const depList of ['dependencies', 'devDependencies']) {
                const deps = pkg.json[depList];
                for (const depName in deps) {
                    if (newVersions[depName]) {
                        const oldVersion = deps[depName];
                        const newVersion = newVersions[depName];
                        if (oldVersion !== newVersion) {
                            deps[depName] = newVersion;
                        }
                    }
                }
            }
            delete pkg.json.gitHead;
            (0, writePkg_1.default)(pkg);
        }
    });
}
exports.doUpdateDependencies = doUpdateDependencies;
exports.default = doUpdateDependencies;
//# sourceMappingURL=doUpdateDependencies.js.map