import Pkg from '@thatdevops/core/pkgman/Pkg'
import writePkg from '@thatdevops/core/pkgman/writePkg'

export async function doUpdateDependencies(pkgs: Pkg[], newVersions: Record<string, string>) {
	for (const pkg of pkgs) {
		for (const depList of ['dependencies', 'devDependencies']) {
			const deps = pkg.json[depList]
			for (const depName in deps) {
				if (newVersions[depName]) {
					const oldVersion = deps[depName]
					const newVersion = newVersions[depName]
					if (oldVersion !== newVersion) {
						deps[depName] = newVersion
					}
				}
			}
		}
		delete pkg.json.gitHead // Tidying up crap
		writePkg(pkg)
	}
}
export default doUpdateDependencies
