"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.versionBump = void 0;
const BumpType_1 = __importDefault(require("./BumpType"));
function versionBump(version, bumpType = BumpType_1.default.patch) {
    const [v, suffix] = version.split('-');
    const [major, minor, patch] = v.split('.').map(Number);
    const suffixBit = suffix ? `-${suffix}` : '';
    switch (bumpType) {
        case BumpType_1.default.patch:
            return `${major}.${minor}.${patch + 1}${suffixBit}`;
        case BumpType_1.default.minor:
            return `${major}.${minor + 1}.0${suffixBit}`;
        case BumpType_1.default.major:
            return `${major + 1}.0.0${suffixBit}`;
    }
}
exports.versionBump = versionBump;
exports.default = versionBump;
//# sourceMappingURL=versionBump.js.map